@echo off
if not exist kerneldefs.inc goto errk
if exist dopatch.bat goto runit

if exist patchseg.inc goto genbat

if exist xboxkrnl.img del xboxkrnl.img

echo Generating patch script

if exist patchseg.tmp del patchseg.tmp
..\bin\xkresize 0x8000 xboxkrnl.orig xboxkrnl.img > patchseg.tmp
if errorlevel 1 goto err
ren patchseg.tmp patchseg.inc

if exist dopatch.tmp del dopatch.tmp
..\bin\mkpatch kerneldefs.inc patchseg.inc > dopatch.tmp
if errorlevel 1 goto err
ren dopatch.tmp dopatch.bat

:runit
echo Running patch script
call dopatch.bat
goto exit

:errk
echo Must have 'kerneldefs.inc' first

:err
echo Error(s) encountered

:exit
